package mhp.oee.po.gen;

import java.util.Date;

public class ReasonCodeRuleParamPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule_param.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule_param.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule_param.REASON_CODE_RULE_BO
     *
     * @mbggenerated
     */
    private String reasonCodeRuleBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule_param.RESOURCE_TYPE
     *
     * @mbggenerated
     */
    private String resourceType;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule_param.PARAM_ID
     *
     * @mbggenerated
     */
    private String paramId;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule_param.PARAM_VALUE
     *
     * @mbggenerated
     */
    private String paramValue;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule_param.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule_param.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule_param.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule_param.HANDLE
     *
     * @return the value of reason_code_rule_param.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule_param.HANDLE
     *
     * @param handle the value for reason_code_rule_param.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule_param.SITE
     *
     * @return the value of reason_code_rule_param.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule_param.SITE
     *
     * @param site the value for reason_code_rule_param.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule_param.REASON_CODE_RULE_BO
     *
     * @return the value of reason_code_rule_param.REASON_CODE_RULE_BO
     *
     * @mbggenerated
     */
    public String getReasonCodeRuleBo() {
        return reasonCodeRuleBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule_param.REASON_CODE_RULE_BO
     *
     * @param reasonCodeRuleBo the value for reason_code_rule_param.REASON_CODE_RULE_BO
     *
     * @mbggenerated
     */
    public void setReasonCodeRuleBo(String reasonCodeRuleBo) {
        this.reasonCodeRuleBo = reasonCodeRuleBo == null ? null : reasonCodeRuleBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule_param.RESOURCE_TYPE
     *
     * @return the value of reason_code_rule_param.RESOURCE_TYPE
     *
     * @mbggenerated
     */
    public String getResourceType() {
        return resourceType;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule_param.RESOURCE_TYPE
     *
     * @param resourceType the value for reason_code_rule_param.RESOURCE_TYPE
     *
     * @mbggenerated
     */
    public void setResourceType(String resourceType) {
        this.resourceType = resourceType == null ? null : resourceType.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule_param.PARAM_ID
     *
     * @return the value of reason_code_rule_param.PARAM_ID
     *
     * @mbggenerated
     */
    public String getParamId() {
        return paramId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule_param.PARAM_ID
     *
     * @param paramId the value for reason_code_rule_param.PARAM_ID
     *
     * @mbggenerated
     */
    public void setParamId(String paramId) {
        this.paramId = paramId == null ? null : paramId.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule_param.PARAM_VALUE
     *
     * @return the value of reason_code_rule_param.PARAM_VALUE
     *
     * @mbggenerated
     */
    public String getParamValue() {
        return paramValue;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule_param.PARAM_VALUE
     *
     * @param paramValue the value for reason_code_rule_param.PARAM_VALUE
     *
     * @mbggenerated
     */
    public void setParamValue(String paramValue) {
        this.paramValue = paramValue == null ? null : paramValue.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule_param.CREATED_DATE_TIME
     *
     * @return the value of reason_code_rule_param.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule_param.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for reason_code_rule_param.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule_param.MODIFIED_DATE_TIME
     *
     * @return the value of reason_code_rule_param.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule_param.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for reason_code_rule_param.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule_param.MODIFIED_USER
     *
     * @return the value of reason_code_rule_param.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule_param.MODIFIED_USER
     *
     * @param modifiedUser the value for reason_code_rule_param.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}